apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2024-09-16T09:05:50.398418311Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2024-09-16T09:05:50Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  name: windows-10-virtio-cyan-yak-57
  namespace: default
  resourceVersion: "100416"
  uid: 919ae4db-6868-4ddb-b5a1-d7accdcc6b75
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: windows-10-virtio-cyan-yak-57-volume
    spec:
      sourceRef:
        kind: DataSource
        name: iso2
        namespace: default
      storage:
        resources: {}
        storageClassName: managed-csi
  - metadata:
      creationTimestamp: null
      name: windows-10-virtio-cyan-yak-57-volume-blank
    spec:
      source:
        blank: {}
      storage:
        resources:
          requests:
            storage: 30Gi
        storageClassName: managed-csi
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.large
    revisionName: windows-10-virtio-cyan-yak-57-u1.large-v1beta1-67efd10d-0a67-419b-8bf5-d1890920be13-1
  preference:
    kind: virtualmachineclusterpreference
    name: windows.10.virtio
    revisionName: windows-10-virtio-cyan-yak-57-windows.10.virtio-v1beta1-2e14b897-eb3e-4425-bb3d-64767fc6fd70-1
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          disks:
          - bootOrder: 2
            cdrom:
              bus: sata
            name: windows-10-virtio-cyan-yak-57-cdrom-iso
          - bootOrder: 1
            disk:
              bus: sata
            name: rootdisk
          interfaces:
          - macAddress: 02:64:5e:00:00:01
            masquerade: {}
            name: default
        firmware:
          bootloader:
            bios: {}
        machine:
          type: pc-q35-rhel9.4.0
        resources: {}
      networks:
      - name: default
        pod: {}
      subdomain: headless
      volumes:
      - dataVolume:
          name: windows-10-virtio-cyan-yak-57-volume
        name: windows-10-virtio-cyan-yak-57-cdrom-iso
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: aphd-lscb-ip49
            user: '0'
        name: cloudinitdisk
      - dataVolume:
          name: windows-10-virtio-cyan-yak-57-volume-blank
        name: rootdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2024-09-16T09:06:22Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and not running
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'cannot migrate VMI: PVC windows-10-virtio-cyan-yak-57-volume is not
      shared, live migration requires that all PVCs must be shared (using ReadWriteMany
      access mode)'
    reason: DisksNotLiveMigratable
    status: "False"
    type: LiveMigratable
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: windows-10-virtio-cyan-yak-57-cdrom-iso
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
  - enabled: true
    name: rootdisk
